from connection.xmpp import XMPPConnection

import signal, sys

run = True

def exithandler(signum, frame):
    global run
    run = False

signal.signal(signal.SIGINT, exithandler)
signal.signal(signal.SIGTERM, exithandler)
signal.signal(signal.SIGQUIT, exithandler)

connection = XMPPConnection()
connection.connect()

while run:
    connection.stream.loop_iter(1)

connection.disconnect()
